summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTails developers <amnesia@boum.org>2014-07-30 15:07:03 +0000
committerTails developers <amnesia@boum.org>2014-07-30 15:07:03 +0000
commit1b53a511c7331397db563047c5f1d52e7df2393b (patch)
treee7232558d741a44bf1ed910d3d53d40bc30a324a
parent1f4202b5e03e2c615d7757932509a5941cfef22d (diff)
Add script to retrieve the list of translators on Transifex.
-rwxr-xr-xwiki/src/contribute/l10n_tricks/transifex_translators.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/wiki/src/contribute/l10n_tricks/transifex_translators.sh b/wiki/src/contribute/l10n_tricks/transifex_translators.sh
new file mode 100755
index 0000000..9242a36
--- /dev/null
+++ b/wiki/src/contribute/l10n_tricks/transifex_translators.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+set -u
+
+PROJECTS="liveusb-creator tails-greeter tails-iuk tails-misc tails-perl5lib tails-persistence-setup whisperback"
+GIT_TOPLEVEL_DIR=$(git rev-parse --show-toplevel)
+TOR_TRANSLATION_DIR="$GIT_TOPLEVEL_DIR/tmp/tor-translation"
+
+(
+ cd "$TOR_TRANSLATION_DIR"
+ for project in $PROJECTS; do
+ for branch in "$project" "${project}_completed"; do
+ git checkout --quiet "$branch"
+ git reset --quiet --hard "origin/$branch"
+ git grep -H 'Last-Translator' | grep -v '^templates/' \
+ | sed -e 's/^\([A-Za-z_]\+\)\/\1\.po:"Last-Translator: \(.\+\)\\n"$/\1 \2/' \
+ | grep -Ev '(FULL NAME|tor-assistants@torproject.org|colin@torproject.org|runa.sandvik@gmail.com|support-team-private@lists.torproject.org|<>)'
+ done
+ done | sort -u
+)